!
! 文字列
! 
! とりあえずそのものが出せるようにする。
!
type(VSTRING) function GTStringQuoteForDcl(string) result(result)
    use dc_string
    use dcl, only: DclSetParm
    type(VSTRING), intent(in):: string
    logical, save:: lfirst = .TRUE.
    integer, parameter:: MY_SUPERSCRIPT = 16 * 11 + 15
    integer, parameter:: MY_SUBSCRIPT = 16 * 11 + 14
    integer, parameter:: MY_RESETSCRIPT = 16 * 12 + 5
continue
    if (lfirst) then
        lfirst = .FALSE.
        call DclSetParm('GRAPH:ISUP', MY_SUPERSCRIPT)
        call DclSetParm('GRAPH:ISUB', MY_SUBSCRIPT)
        call DclSetParm('GRAPH:IRST', MY_RESETSCRIPT)
    endif
    result = string
end function
